DotnetResource (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.dotnet.DotnetResource,DotnetResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.dotnet
Class DotnetResource

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.dotnet.DotnetResource

public class DotnetResource
extends java.lang.Object

class used by DotnetCompile to name resources, could be upgraded to a datatype in the distant future. a resource maps to /res:file,name

Constructor Summary
`DotnetResource()`

Method Summary
`java.lang.String` | `getCSharpStyleParameter()` build the C# style parameter (which has no public/private option)
`java.io.File` | `getFile()`
`java.lang.String` | `getName()`
`java.lang.Boolean` | `getPublic()`
`java.lang.String` | `getVbStyleParameter()` This method gets the style of param used by VB and javascript
`boolean` | `isEmbed()`
`void` | `setEmbed(boolean embed)` embed the resource in the assembly (default, true) or just link to it.
`void` | `setFile(java.io.File file)` name the resource
`void` | `setName(java.lang.String name)` should the resource have a name?
`void` | `setPublic(java.lang.Boolean aPublic)` VB and J# only: is a resource public or not?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DotnetResource

    public DotnetResource()

Method Detail

### isEmbed

    public boolean isEmbed()

### setEmbed

    public void setEmbed(boolean embed)

  embed the resource in the assembly (default, true) or just link to it.

  Parameters:
    `embed` -

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File file)

  name the resource

  Parameters:
    `file` -

### getPublic

    public java.lang.Boolean getPublic()

### setPublic

    public void setPublic(java.lang.Boolean aPublic)

  VB and J# only: is a resource public or not?

  Parameters:
    `aPublic` -

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

  should the resource have a name?

  Parameters:
    `name` -

### getCSharpStyleParameter

    public java.lang.String getCSharpStyleParameter()

  build the C# style parameter (which has no public/private option)

  Returns:
    the built C# style parameter

### getVbStyleParameter

    public java.lang.String getVbStyleParameter()

  This method gets the style of param used by VB and javascript

  Returns:
    The style VB parameter being used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.